jdebug Documentation: Class ExpressionParser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.expr
Class ExpressionParser

    java.lang.Object
      |
      +--jde.debugger.expr.ExpressionParser

public class ExpressionParser
extends java.lang.Object
implements jde.debugger.expr.ExpressionParserConstants

Inner Class Summary
`static interface` | `ExpressionParser.GetFrame`

Field Summary
`(package private) ExpressionParser.GetFrame` | `frameGetter`
`private JJExpressionParserCalls[]` | `jj_2_rtns`
`private int` | `jj_endpos`
`private java.util.Vector` | `jj_expentries`
`private int[]` | `jj_expentry`
`private int` | `jj_gc`
`private int` | `jj_gen`
`(package private) jde.debugger.expr.ASCII_UCodeESC_CharStream` | `jj_input_stream`
`private int` | `jj_kind`
`private int` | `jj_la`
`private int[]` | `jj_la1`
`private int[]` | `jj_la1_0`
`private int[]` | `jj_la1_1`
`private int[]` | `jj_la1_2`
`private int[]` | `jj_la1_3`
`private jde.debugger.expr.Token` | `jj_lastpos`
`private int[]` | `jj_lasttokens`
`jde.debugger.expr.Token` | `jj_nt`
`private int` | `jj_ntk`
`private boolean` | `jj_rescan`
`private jde.debugger.expr.Token` | `jj_scanpos`
`private boolean` | `jj_semLA`
`boolean` | `lookingAhead`
`(package private) java.util.Stack` | `stack`
`jde.debugger.expr.Token` | `token`
`jde.debugger.expr.ExpressionParserTokenManager` | `token_source`
`(package private) com.sun.jdi.VirtualMachine` | `vm`

Fields inherited from interface jde.debugger.expr.ExpressionParserConstants
`_DEFAULT, ABSTRACT, ANDASSIGN, ASSIGN, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

Constructor Summary
`ExpressionParser(jde.debugger.expr.ExpressionParserTokenManager tm)`
`ExpressionParser(java.io.InputStream stream)`

Method Summary
`void` | `AdditiveExpression()`
`void` | `AllocationExpression()`
`void` | `AndExpression()`
`void` | `ArgumentList(java.util.List argList)`
`java.util.List` | `Arguments()`
`void` | `ArrayDimensions()`
`void` | `Assignment()`
`void` | `AssignmentOperator()`
`void` | `BooleanLiteral()`
`void` | `CastExpression()`
`void` | `CastLookahead()`
`void` | `ConditionalAndExpression()`
`void` | `ConditionalExpression()`
`void` | `ConditionalOrExpression()`
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`void` | `EqualityExpression()`
`static com.sun.jdi.Value` | `evaluate(java.lang.String expr, com.sun.jdi.VirtualMachine vm, ExpressionParser.GetFrame frameGetter)`
`void` | `ExclusiveOrExpression()`
`void` | `Expression()`
`jde.debugger.expr.ParseException` | `generateParseException()`
`jde.debugger.expr.Token` | `getNextToken()`
`jde.debugger.expr.Token` | `getToken(int index)`
`void` | `InclusiveOrExpression()`
`void` | `InstanceOfExpression()`
`private boolean` | `jj_2_1(int xla)`
`private boolean` | `jj_2_2(int xla)`
`private boolean` | `jj_2_3(int xla)`
`private boolean` | `jj_2_4(int xla)`
`private boolean` | `jj_2_5(int xla)`
`private boolean` | `jj_2_6(int xla)`
`private boolean` | `jj_2_7(int xla)`
`private boolean` | `jj_2_8(int xla)`
`private boolean` | `jj_2_9(int xla)`
`private boolean` | `jj_3_1()`
`private boolean` | `jj_3_2()`
`private boolean` | `jj_3_3()`
`private boolean` | `jj_3_4()`
`private boolean` | `jj_3_5()`
`private boolean` | `jj_3_6()`
`private boolean` | `jj_3_7()`
`private boolean` | `jj_3_8()`
`private boolean` | `jj_3_9()`
`private boolean` | `jj_3R_100()`
`private boolean` | `jj_3R_101()`
`private boolean` | `jj_3R_102()`
`private boolean` | `jj_3R_103()`
`private boolean` | `jj_3R_104()`
`private boolean` | `jj_3R_105()`
`private boolean` | `jj_3R_106()`
`private boolean` | `jj_3R_107()`
`private boolean` | `jj_3R_108()`
`private boolean` | `jj_3R_109()`
`private boolean` | `jj_3R_110()`
`private boolean` | `jj_3R_111()`
`private boolean` | `jj_3R_112()`
`private boolean` | `jj_3R_113()`
`private boolean` | `jj_3R_114()`
`private boolean` | `jj_3R_115()`
`private boolean` | `jj_3R_116()`
`private boolean` | `jj_3R_117()`
`private boolean` | `jj_3R_118()`
`private boolean` | `jj_3R_119()`
`private boolean` | `jj_3R_120()`
`private boolean` | `jj_3R_121()`
`private boolean` | `jj_3R_122()`
`private boolean` | `jj_3R_123()`
`private boolean` | `jj_3R_124()`
`private boolean` | `jj_3R_125()`
`private boolean` | `jj_3R_126()`
`private boolean` | `jj_3R_127()`
`private boolean` | `jj_3R_128()`
`private boolean` | `jj_3R_129()`
`private boolean` | `jj_3R_130()`
`private boolean` | `jj_3R_131()`
`private boolean` | `jj_3R_132()`
`private boolean` | `jj_3R_133()`
`private boolean` | `jj_3R_134()`
`private boolean` | `jj_3R_135()`
`private boolean` | `jj_3R_136()`
`private boolean` | `jj_3R_137()`
`private boolean` | `jj_3R_138()`
`private boolean` | `jj_3R_139()`
`private boolean` | `jj_3R_140()`
`private boolean` | `jj_3R_141()`
`private boolean` | `jj_3R_142()`
`private boolean` | `jj_3R_143()`
`private boolean` | `jj_3R_144()`
`private boolean` | `jj_3R_145()`
`private boolean` | `jj_3R_146()`
`private boolean` | `jj_3R_147()`
`private boolean` | `jj_3R_148()`
`private boolean` | `jj_3R_149()`
`private boolean` | `jj_3R_150()`
`private boolean` | `jj_3R_151()`
`private boolean` | `jj_3R_152()`
`private boolean` | `jj_3R_153()`
`private boolean` | `jj_3R_154()`
`private boolean` | `jj_3R_155()`
`private boolean` | `jj_3R_20()`
`private boolean` | `jj_3R_21()`
`private boolean` | `jj_3R_22()`
`private boolean` | `jj_3R_23()`
`private boolean` | `jj_3R_24()`
`private boolean` | `jj_3R_25()`
`private boolean` | `jj_3R_26()`
`private boolean` | `jj_3R_27()`
`private boolean` | `jj_3R_28()`
`private boolean` | `jj_3R_29()`
`private boolean` | `jj_3R_30()`
`private boolean` | `jj_3R_31()`
`private boolean` | `jj_3R_32()`
`private boolean` | `jj_3R_33()`
`private boolean` | `jj_3R_34()`
`private boolean` | `jj_3R_35()`
`private boolean` | `jj_3R_36()`
`private boolean` | `jj_3R_37()`
`private boolean` | `jj_3R_38()`
`private boolean` | `jj_3R_39()`
`private boolean` | `jj_3R_40()`
`private boolean` | `jj_3R_41()`
`private boolean` | `jj_3R_42()`
`private boolean` | `jj_3R_43()`
`private boolean` | `jj_3R_44()`
`private boolean` | `jj_3R_45()`
`private boolean` | `jj_3R_46()`
`private boolean` | `jj_3R_47()`
`private boolean` | `jj_3R_48()`
`private boolean` | `jj_3R_49()`
`private boolean` | `jj_3R_50()`
`private boolean` | `jj_3R_51()`
`private boolean` | `jj_3R_52()`
`private boolean` | `jj_3R_53()`
`private boolean` | `jj_3R_54()`
`private boolean` | `jj_3R_55()`
`private boolean` | `jj_3R_56()`
`private boolean` | `jj_3R_57()`
`private boolean` | `jj_3R_58()`
`private boolean` | `jj_3R_59()`
`private boolean` | `jj_3R_60()`
`private boolean` | `jj_3R_61()`
`private boolean` | `jj_3R_62()`
`private boolean` | `jj_3R_63()`
`private boolean` | `jj_3R_64()`
`private boolean` | `jj_3R_65()`
`private boolean` | `jj_3R_66()`
`private boolean` | `jj_3R_67()`
`private boolean` | `jj_3R_68()`
`private boolean` | `jj_3R_69()`
`private boolean` | `jj_3R_70()`
`private boolean` | `jj_3R_71()`
`private boolean` | `jj_3R_72()`
`private boolean` | `jj_3R_73()`
`private boolean` | `jj_3R_74()`
`private boolean` | `jj_3R_75()`
`private boolean` | `jj_3R_76()`
`private boolean` | `jj_3R_77()`
`private boolean` | `jj_3R_78()`
`private boolean` | `jj_3R_79()`
`private boolean` | `jj_3R_80()`
`private boolean` | `jj_3R_81()`
`private boolean` | `jj_3R_82()`
`private boolean` | `jj_3R_83()`
`private boolean` | `jj_3R_84()`
`private boolean` | `jj_3R_85()`
`private boolean` | `jj_3R_86()`
`private boolean` | `jj_3R_87()`
`private boolean` | `jj_3R_88()`
`private boolean` | `jj_3R_89()`
`private boolean` | `jj_3R_90()`
`private boolean` | `jj_3R_91()`
`private boolean` | `jj_3R_92()`
`private boolean` | `jj_3R_93()`
`private boolean` | `jj_3R_94()`
`private boolean` | `jj_3R_95()`
`private boolean` | `jj_3R_96()`
`private boolean` | `jj_3R_97()`
`private boolean` | `jj_3R_98()`
`private boolean` | `jj_3R_99()`
`private void` | `jj_add_error_token(int kind, int pos)`
`private jde.debugger.expr.Token` | `jj_consume_token(int kind)`
`private int` | `jj_ntk()`
`private void` | `jj_rescan_token()`
`private void` | `jj_save(int index, int xla)`
`private boolean` | `jj_scan_token(int kind)`
`void` | `Literal()`
`static void` | `main(java.lang.String[] args)`
`void` | `MultiplicativeExpression()`
`java.lang.String` | `Name()`
`void` | `NameList()`
`void` | `NullLiteral()`
`(package private) jde.debugger.expr.LValue` | `peek()`
`(package private) jde.debugger.expr.LValue` | `pop()`
`void` | `PostfixExpression()`
`void` | `PreDecrementExpression()`
`void` | `PreIncrementExpression()`
`void` | `PrimaryExpression()`
`void` | `PrimaryPrefix()`
`void` | `PrimarySuffix()`
`void` | `PrimitiveType()`
`(package private) void` | `push(jde.debugger.expr.LValue lval)`
`void` | `ReInit(jde.debugger.expr.ExpressionParserTokenManager tm)`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `RelationalExpression()`
`void` | `ShiftExpression()`
`void` | `Type()` THE JAVA LANGUAGE GRAMMAR STARTS HERE *
`void` | `UnaryExpression()`
`void` | `UnaryExpressionNotPlusMinus()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### stack

    java.util.Stack stack

### vm

    com.sun.jdi.VirtualMachine vm

### frameGetter

    ExpressionParser.GetFrame frameGetter

### token_source

    public jde.debugger.expr.ExpressionParserTokenManager token_source

### jj_input_stream

    jde.debugger.expr.ASCII_UCodeESC_CharStream jj_input_stream

### token

    public jde.debugger.expr.Token token

### jj_nt

    public jde.debugger.expr.Token jj_nt

### jj_ntk

    private int jj_ntk

### jj_scanpos

    private jde.debugger.expr.Token jj_scanpos

### jj_lastpos

    private jde.debugger.expr.Token jj_lastpos

### jj_la

    private int jj_la

### lookingAhead

    public boolean lookingAhead

### jj_semLA

    private boolean jj_semLA

### jj_gen

    private int jj_gen

### jj_la1

    private final int[] jj_la1

### jj_la1_0

    private final int[] jj_la1_0

### jj_la1_1

    private final int[] jj_la1_1

### jj_la1_2

    private final int[] jj_la1_2

### jj_la1_3

    private final int[] jj_la1_3

### jj_2_rtns

    private final JJExpressionParserCalls[] jj_2_rtns

### jj_rescan

    private boolean jj_rescan

### jj_gc

    private int jj_gc

### jj_expentries

    private java.util.Vector jj_expentries

### jj_expentry

    private int[] jj_expentry

### jj_kind

    private int jj_kind

### jj_lasttokens

    private int[] jj_lasttokens

### jj_endpos

    private int jj_endpos

Constructor Detail

### ExpressionParser

    public ExpressionParser(java.io.InputStream stream)

### ExpressionParser

    public ExpressionParser(jde.debugger.expr.ExpressionParserTokenManager tm)

Method Detail

### peek

    jde.debugger.expr.LValue peek()

### pop

    jde.debugger.expr.LValue pop()

### push

    void push(jde.debugger.expr.LValue lval)

### evaluate

    public static com.sun.jdi.Value evaluate(java.lang.String expr,
                                             com.sun.jdi.VirtualMachine vm,
                                             ExpressionParser.GetFrame frameGetter)
                                      throws jde.debugger.expr.ParseException,
                                             com.sun.jdi.InvocationException,
                                             com.sun.jdi.InvalidTypeException,
                                             com.sun.jdi.ClassNotLoadedException,
                                             com.sun.jdi.IncompatibleThreadStateException

### main

    public static void main(java.lang.String[] args)

### Type

    public final void Type()
                    throws jde.debugger.expr.ParseException

  THE JAVA LANGUAGE GRAMMAR STARTS HERE *

### PrimitiveType

    public final void PrimitiveType()
                             throws jde.debugger.expr.ParseException

### Name

    public final java.lang.String Name()
                                throws jde.debugger.expr.ParseException

### NameList

    public final void NameList()
                        throws jde.debugger.expr.ParseException

### Expression

    public final void Expression()
                          throws jde.debugger.expr.ParseException

### Assignment

    public final void Assignment()
                          throws jde.debugger.expr.ParseException

### AssignmentOperator

    public final void AssignmentOperator()
                                  throws jde.debugger.expr.ParseException

### ConditionalExpression

    public final void ConditionalExpression()
                                     throws jde.debugger.expr.ParseException

### ConditionalOrExpression

    public final void ConditionalOrExpression()
                                       throws jde.debugger.expr.ParseException

### ConditionalAndExpression

    public final void ConditionalAndExpression()
                                        throws jde.debugger.expr.ParseException

### InclusiveOrExpression

    public final void InclusiveOrExpression()
                                     throws jde.debugger.expr.ParseException

### ExclusiveOrExpression

    public final void ExclusiveOrExpression()
                                     throws jde.debugger.expr.ParseException

### AndExpression

    public final void AndExpression()
                             throws jde.debugger.expr.ParseException

### EqualityExpression

    public final void EqualityExpression()
                                  throws jde.debugger.expr.ParseException

### InstanceOfExpression

    public final void InstanceOfExpression()
                                    throws jde.debugger.expr.ParseException

### RelationalExpression

    public final void RelationalExpression()
                                    throws jde.debugger.expr.ParseException

### ShiftExpression

    public final void ShiftExpression()
                               throws jde.debugger.expr.ParseException

### AdditiveExpression

    public final void AdditiveExpression()
                                  throws jde.debugger.expr.ParseException

### MultiplicativeExpression

    public final void MultiplicativeExpression()
                                        throws jde.debugger.expr.ParseException

### UnaryExpression

    public final void UnaryExpression()
                               throws jde.debugger.expr.ParseException

### PreIncrementExpression

    public final void PreIncrementExpression()
                                      throws jde.debugger.expr.ParseException

### PreDecrementExpression

    public final void PreDecrementExpression()
                                      throws jde.debugger.expr.ParseException

### UnaryExpressionNotPlusMinus

    public final void UnaryExpressionNotPlusMinus()
                                           throws jde.debugger.expr.ParseException

### CastLookahead

    public final void CastLookahead()
                             throws jde.debugger.expr.ParseException

### PostfixExpression

    public final void PostfixExpression()
                                 throws jde.debugger.expr.ParseException

### CastExpression

    public final void CastExpression()
                              throws jde.debugger.expr.ParseException

### PrimaryExpression

    public final void PrimaryExpression()
                                 throws jde.debugger.expr.ParseException

### PrimaryPrefix

    public final void PrimaryPrefix()
                             throws jde.debugger.expr.ParseException

### PrimarySuffix

    public final void PrimarySuffix()
                             throws jde.debugger.expr.ParseException

### Literal

    public final void Literal()
                       throws jde.debugger.expr.ParseException

### BooleanLiteral

    public final void BooleanLiteral()
                              throws jde.debugger.expr.ParseException

### NullLiteral

    public final void NullLiteral()
                           throws jde.debugger.expr.ParseException

### Arguments

    public final java.util.List Arguments()
                                   throws jde.debugger.expr.ParseException

### ArgumentList

    public final void ArgumentList(java.util.List argList)
                            throws jde.debugger.expr.ParseException

### AllocationExpression

    public final void AllocationExpression()
                                    throws jde.debugger.expr.ParseException

### ArrayDimensions

    public final void ArrayDimensions()
                               throws jde.debugger.expr.ParseException

### jj_2_1

    private final boolean jj_2_1(int xla)

### jj_2_2

    private final boolean jj_2_2(int xla)

### jj_2_3

    private final boolean jj_2_3(int xla)

### jj_2_4

    private final boolean jj_2_4(int xla)

### jj_2_5

    private final boolean jj_2_5(int xla)

### jj_2_6

    private final boolean jj_2_6(int xla)

### jj_2_7

    private final boolean jj_2_7(int xla)

### jj_2_8

    private final boolean jj_2_8(int xla)

### jj_2_9

    private final boolean jj_2_9(int xla)

### jj_3R_154

    private final boolean jj_3R_154()

### jj_3R_151

    private final boolean jj_3R_151()

### jj_3R_148

    private final boolean jj_3R_148()

### jj_3_6

    private final boolean jj_3_6()

### jj_3R_25

    private final boolean jj_3R_25()

### jj_3R_50

    private final boolean jj_3R_50()

### jj_3_5

    private final boolean jj_3_5()

### jj_3R_149

    private final boolean jj_3R_149()

### jj_3R_41

    private final boolean jj_3R_41()

### jj_3R_40

    private final boolean jj_3R_40()

### jj_3R_123

    private final boolean jj_3R_123()

### jj_3_1

    private final boolean jj_3_1()

### jj_3_4

    private final boolean jj_3_4()

### jj_3R_22

    private final boolean jj_3R_22()

### jj_3_3

    private final boolean jj_3_3()

### jj_3R_24

    private final boolean jj_3R_24()

### jj_3R_147

    private final boolean jj_3R_147()

### jj_3R_142

    private final boolean jj_3R_142()

### jj_3R_122

    private final boolean jj_3R_122()

### jj_3R_49

    private final boolean jj_3R_49()

### jj_3R_141

    private final boolean jj_3R_141()

### jj_3R_48

    private final boolean jj_3R_48()

### jj_3R_146

    private final boolean jj_3R_146()

### jj_3R_47

    private final boolean jj_3R_47()

### jj_3R_140

    private final boolean jj_3R_140()

### jj_3R_136

    private final boolean jj_3R_136()

### jj_3R_46

    private final boolean jj_3R_46()

### jj_3R_145

    private final boolean jj_3R_145()

### jj_3R_45

    private final boolean jj_3R_45()

### jj_3R_44

    private final boolean jj_3R_44()

### jj_3R_135

    private final boolean jj_3R_135()

### jj_3R_43

    private final boolean jj_3R_43()

### jj_3R_23

    private final boolean jj_3R_23()

### jj_3R_42

    private final boolean jj_3R_42()

### jj_3_9

    private final boolean jj_3_9()

### jj_3R_121

    private final boolean jj_3R_121()

### jj_3R_144

    private final boolean jj_3R_144()

### jj_3R_134

    private final boolean jj_3R_134()

### jj_3R_114

    private final boolean jj_3R_114()

### jj_3R_120

    private final boolean jj_3R_120()

### jj_3R_133

    private final boolean jj_3R_133()

### jj_3R_127

    private final boolean jj_3R_127()

### jj_3R_126

    private final boolean jj_3R_126()

### jj_3R_139

    private final boolean jj_3R_139()

### jj_3R_125

    private final boolean jj_3R_125()

### jj_3R_132

    private final boolean jj_3R_132()

### jj_3R_143

    private final boolean jj_3R_143()

### jj_3R_124

    private final boolean jj_3R_124()

### jj_3R_115

    private final boolean jj_3R_115()

### jj_3R_137

    private final boolean jj_3R_137()

### jj_3R_131

    private final boolean jj_3R_131()

### jj_3R_119

    private final boolean jj_3R_119()

### jj_3R_138

    private final boolean jj_3R_138()

### jj_3R_112

    private final boolean jj_3R_112()

### jj_3R_88

    private final boolean jj_3R_88()

### jj_3R_130

    private final boolean jj_3R_130()

### jj_3R_128

    private final boolean jj_3R_128()

### jj_3R_87

    private final boolean jj_3R_87()

### jj_3R_118

    private final boolean jj_3R_118()

### jj_3R_129

    private final boolean jj_3R_129()

### jj_3R_116

    private final boolean jj_3R_116()

### jj_3R_108

    private final boolean jj_3R_108()

### jj_3_8

    private final boolean jj_3_8()

### jj_3R_86

    private final boolean jj_3R_86()

### jj_3R_117

    private final boolean jj_3R_117()

### jj_3R_106

    private final boolean jj_3R_106()

### jj_3R_113

    private final boolean jj_3R_113()

### jj_3R_111

    private final boolean jj_3R_111()

### jj_3R_109

    private final boolean jj_3R_109()

### jj_3R_104

    private final boolean jj_3R_104()

### jj_3R_81

    private final boolean jj_3R_81()

### jj_3_7

    private final boolean jj_3_7()

### jj_3R_70

    private final boolean jj_3R_70()

### jj_3R_97

    private final boolean jj_3R_97()

### jj_3R_39

    private final boolean jj_3R_39()

### jj_3R_110

    private final boolean jj_3R_110()

### jj_3R_102

    private final boolean jj_3R_102()

### jj_3R_107

    private final boolean jj_3R_107()

### jj_3R_94

    private final boolean jj_3R_94()

### jj_3R_89

    private final boolean jj_3R_89()

### jj_3R_38

    private final boolean jj_3R_38()

### jj_3R_82

    private final boolean jj_3R_82()

### jj_3R_105

    private final boolean jj_3R_105()

### jj_3R_100

    private final boolean jj_3R_100()

### jj_3R_37

    private final boolean jj_3R_37()

### jj_3R_85

    private final boolean jj_3R_85()

### jj_3R_103

    private final boolean jj_3R_103()

### jj_3R_98

    private final boolean jj_3R_98()

### jj_3R_92

    private final boolean jj_3R_92()

### jj_3R_36

    private final boolean jj_3R_36()

### jj_3R_91

    private final boolean jj_3R_91()

### jj_3R_84

    private final boolean jj_3R_84()

### jj_3R_101

    private final boolean jj_3R_101()

### jj_3R_95

    private final boolean jj_3R_95()

### jj_3R_35

    private final boolean jj_3R_35()

### jj_3R_80

    private final boolean jj_3R_80()

### jj_3R_66

    private final boolean jj_3R_66()

### jj_3R_79

    private final boolean jj_3R_79()

### jj_3R_78

    private final boolean jj_3R_78()

### jj_3R_99

    private final boolean jj_3R_99()

### jj_3R_90

    private final boolean jj_3R_90()

### jj_3R_34

    private final boolean jj_3R_34()

### jj_3R_65

    private final boolean jj_3R_65()

### jj_3R_77

    private final boolean jj_3R_77()

### jj_3R_76

    private final boolean jj_3R_76()

### jj_3R_33

    private final boolean jj_3R_33()

### jj_3R_69

    private final boolean jj_3R_69()

### jj_3R_75

    private final boolean jj_3R_75()

### jj_3R_96

    private final boolean jj_3R_96()

### jj_3R_83

    private final boolean jj_3R_83()

### jj_3R_64

    private final boolean jj_3R_64()

### jj_3R_32

    private final boolean jj_3R_32()

### jj_3R_73

    private final boolean jj_3R_73()

### jj_3R_72

    private final boolean jj_3R_72()

### jj_3R_74

    private final boolean jj_3R_74()

### jj_3R_63

    private final boolean jj_3R_63()

### jj_3R_31

    private final boolean jj_3R_31()

### jj_3R_58

    private final boolean jj_3R_58()

### jj_3R_71

    private final boolean jj_3R_71()

### jj_3R_93

    private final boolean jj_3R_93()

### jj_3R_57

    private final boolean jj_3R_57()

### jj_3R_30

    private final boolean jj_3R_30()

### jj_3R_27

    private final boolean jj_3R_27()

### jj_3R_56

    private final boolean jj_3R_56()

### jj_3R_152

    private final boolean jj_3R_152()

### jj_3R_55

    private final boolean jj_3R_55()

### jj_3R_29

    private final boolean jj_3R_29()

### jj_3R_68

    private final boolean jj_3R_68()

### jj_3R_54

    private final boolean jj_3R_54()

### jj_3R_62

    private final boolean jj_3R_62()

### jj_3R_53

    private final boolean jj_3R_53()

### jj_3R_153

    private final boolean jj_3R_153()

### jj_3R_26

    private final boolean jj_3R_26()

### jj_3R_52

    private final boolean jj_3R_52()

### jj_3R_21

    private final boolean jj_3R_21()

### jj_3R_28

    private final boolean jj_3R_28()

### jj_3R_61

    private final boolean jj_3R_61()

### jj_3_2

    private final boolean jj_3_2()

### jj_3R_20

    private final boolean jj_3R_20()

### jj_3R_60

    private final boolean jj_3R_60()

### jj_3R_155

    private final boolean jj_3R_155()

### jj_3R_67

    private final boolean jj_3R_67()

### jj_3R_150

    private final boolean jj_3R_150()

### jj_3R_59

    private final boolean jj_3R_59()

### jj_3R_51

    private final boolean jj_3R_51()

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(jde.debugger.expr.ExpressionParserTokenManager tm)

### jj_consume_token

    private final jde.debugger.expr.Token jj_consume_token(int kind)
                                                    throws jde.debugger.expr.ParseException

### jj_scan_token

    private final boolean jj_scan_token(int kind)

### getNextToken

    public final jde.debugger.expr.Token getNextToken()

### getToken

    public final jde.debugger.expr.Token getToken(int index)

### jj_ntk

    private final int jj_ntk()

### jj_add_error_token

    private void jj_add_error_token(int kind,
                                    int pos)

### generateParseException

    public final jde.debugger.expr.ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

### jj_rescan_token

    private final void jj_rescan_token()

### jj_save

    private final void jj_save(int index,
                               int xla)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD